body {
	color: white;
	background-color: #111111;
	background-image: url('/assets/blog-bg.png');
	background-attachment: fixed;

	font-family: Arial, Helvetica, sans-serif;

	animation: slide 3s linear infinite;
}

#header {
	text-align: center;
}

.email-at::before {
	content: '@';
}

video {
	max-width: 100%;
}

.post-listing {
	background: rgba(0, 0, 0, 0.5);
	padding: 10px;
	display: block;
}
.quote-content {
	background: rgba(0, 0, 0, 0.2);
	border-left: 5px solid rgba(0, 0, 0, 0.5);
	padding: 5px 5px 5px 30px;
}
.quote-attribution::before {
	content: '⤶';
	font-size: 20px;
	margin-left: 30px;
	margin-right: 10px;
	transform: rotate(90deg);
	display: inline-block;
}
.blog-tag {
	background: rgba(0, 0, 0, 0.2);
	border: 1px solid black;
	padding: 8px;
}

#header {
	border-bottom: 2px solid rgb(71, 71, 71);
}
#posts {
	text-align: left;
}
#container {
	background: rgba(31, 31, 31, 0.8);
	box-shadow: 5px 5px 0 rgba(0, 0, 0, 0.5);
	padding: 25px;
	max-width: 800px;
	margin: 2vh auto 2vh;
}
#container img {
	max-width: 100%;
}
#footer, #related {
	background-color: rgba(0, 0, 0, 0.5);
	padding: 5px 10px;
	margin-top: 20px;
}

@keyframes slide {
	0% {
		background-position-x: 0;
		background-position-y: 0;
	}
	100% {
		background-position-x: 50px;
		background-position-y: 50px;
	}
}

a {
	color: #ffae00;
	text-shadow: 0 0 2px #ffae00;
	transition: text-shadow 0.3s;
}
a:hover {
	text-shadow: 0 0 7px #ffd438;
}

.code {
	background: rgba(0, 0, 0, 0.2);
	padding: 5px;
	overflow-x: auto;
}

/* Components */
.dropdown {
	background: rgba(0, 0, 0, 0.2);
}
.dropdown-header {
	padding: 5px;
	cursor: default;
	background: rgba(0, 0, 0, 0.2);
}
.dropdown-title {
	font-weight: bold;
}
.dropdown-content {
	padding: 10px;
}

.wikipedia-link img {
	position: relative;
	top: 2px;
}

.section-header-link {
	text-decoration: none !important;
	opacity: 0;
	transition: opacity 0.3s;
}
.section-header-title {
	position: relative;
	right: 20px;
	transition: right 0.3s;
}
.section-header:hover .section-header-link {
	opacity: 1;
}
.section-header:hover .section-header-title {
	right: 0;
}

.youtube-container {
	padding: 10px;
	min-width: 780px;
	max-width: 100%;
	background: rgba(0, 0, 0, 0.3);
}
.youtube-iframe {
	width: 100%;
	height: calc(780px / 1.777);
}
.youtube-label {
	margin-top: 10px;
}